org.deidentifier.arx.common

## Class Groupify<T>

- java.lang.Object
- - org.deidentifier.arx.common.Groupify<T>

Type Parameters:
  `T` -

    public class Groupify<T>
    extends java.lang.Object

A hash groupify operator. It implements a hash table with chaining and keeps track of additional properties per equivalence class

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `Groupify.Group<U>` Entry

### Constructor Summary

Constructors
Constructor and Description
`Groupify(int capacity)` Constructs a new hash groupify operator.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(T element)` Adds a new element
`Groupify.Group<T>` `first()` Returns the first entry for iterations
`Groupify.Group<T>` `get(T element)` Returns the matching entry, if any
`int` `size()` Returns the current number of entries

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Groupify

    public Groupify(int capacity)

Constructs a new hash groupify operator.

Parameters:
  `capacity` - The capacity

### Method Detail

#### add

    public void add(T element)

Adds a new element

Parameters:
  `element` -

#### first

    public Groupify.Group<T> first()

Returns the first entry for iterations

Returns:

#### get

    public Groupify.Group<T> get(T element)

Returns the matching entry, if any

Parameters:
  `element` -
Returns:

#### size

    public int size()

Returns the current number of entries

Returns: